openapi: 3.0.0
info:
  title: 'Ecredit. Online API'
  description: 'Техническая документация доступна <a target=''_blank'' href=''https://car-fin.atlassian.net/wiki/spaces/Online/pages/675807233/eCredit+online-api+v1.12''>Документаций актуализируется...</a>'
  version: '1.0'
paths:
  /v1/agreement/raw-html:
    get:
      tags:
        - Agreement
      summary: 'Документы согласий'
      operationId: 'app\modules\v1\controllers\AgreementController::actionRawHtml'
      parameters:
        -
          name: environment
          in: query
          description: 'Отладочный параметр. Заполнять только, если уверены в необходимости данного действия. Тестовая среда со стороны екредита; 1-test1, 2-test2, 5-alfa'
          required: false
          schema:
            type: integer
        -
          name: dealer_id
          in: query
          description: 'ID дилера по нумерации еКредит. Если не задан, то использован дефолтный от группы'
          required: false
          schema:
            type: integer
        -
          name: document_type
          in: query
          description: 'Тип документа: 1 - Согласие персональных данных (по умочланию), 2 - запрос в бюро кредитных историй, 3 - согласие на электронную подпись'
          required: true
          schema:
            type: integer
            default: '1'
      responses:
        '200':
          description: 'Успешное получение согласий'
      security:
        -
          api_key: []
  /v1/application/appstatus:
    post:
      tags:
        - Application
      summary: 'Статусы сделок по заявке'
      operationId: 'app\modules\v1\controllers\ApplicationController::actionAppstatus'
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                -
                  $ref: '#/components/schemas/AppStatusDto'
      responses:
        '200':
          description: 'Список статусов сделки по заявке и общий статус заявки'
      security:
        -
          api_key: []
  /v1/application/apponline:
    post:
      tags:
        - Application
      summary: 'Сохранить данные клиента и отправить заявку в банк'
      operationId: 'app\modules\v1\controllers\ApplicationController::actionApponline'
      requestBody:
        description: 'Объект для сохранения анкеты клиента'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EcreditAppOnlineDto'
      responses:
        '200':
          description: 'Флаг отправки заявки в банк'
          content:
            application/json: {  }
      security:
        -
          api_key: []
  /v1/application/newapp:
    post:
      tags:
        - Application
      summary: 'Создание новой заявки'
      operationId: 'app\modules\v1\controllers\ApplicationController::actionNewapp'
      requestBody:
        description: 'Объект данных для создания заявки (рассчета)'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EcreditNewAppDto'
      responses:
        '200':
          description: 'Запрос на создание заявки принят в обработку'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseNewapp'
      security:
        -
          api_key: []
  /v1/application/fihubconfig:
    get:
      tags:
        - Application
      summary: 'Конфигурация страницы Кредит Онлайн'
      operationId: 'app\modules\v1\controllers\ApplicationController::actionFihubconfig'
      parameters:
        -
          name: dealer_id
          in: query
          required: false
          schema:
            type: integer
        -
          name: theme
          in: query
          required: false
          schema:
            type: string
            default: red
      responses:
        '200':
          description: 'Успешное полечение конфигурации'
      security:
        -
          api_key: []
  /v1/bank/online-banks:
    post:
      tags:
        - Bank
      summary: 'Получить список онлайн банков, которые будут учавствовать в расчетах'
      operationId: 'app\modules\v1\controllers\BankController::actionOnlineBanks'
      parameters:
        -
          name: environment
          in: query
          description: 'Отладочный параметр. Заполнять только, если уверены в необходимости данного действия. Тестовая среда со стороны екредита; 1-test1, 2-test2, 5-alfa'
          required: false
          schema:
            type: integer
        -
          name: car_condition
          in: query
          description: '1 - новый автомобиль (по умолчанию), 2 - с пробегом'
          required: false
          schema:
            type: integer
        -
          name: car_brand
          in: query
          description: 'Марка автомобиля'
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        -
          api_key: []
  /v1/dictionary/gender:
    get:
      tags:
        - Dictionary
      summary: 'Список справочника ''пол'''
      operationId: 'app\modules\v1\controllers\DictionaryController::actionGender'
      responses:
        '400':
          description: Ошибка
        '200':
          description: ''
      security:
        -
          api_key: []
  /v1/dictionary/maritalstatus:
    get:
      tags:
        - Dictionary
      summary: 'Dictionary - maritalstatus'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionMaritalstatus'
      responses:
        '200':
          description: 'Items of marriage dictionary'
      security:
        -
          api_key: []
  /v1/dictionary/brand:
    get:
      tags:
        - Dictionary
      summary: 'Dictionary - brand'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionBrand'
      parameters:
        -
          name: car_condition
          in: query
          description: 'Состояние автомобиля; 1 - новый (по умолчанию), 2 - бу'
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: 'Список брендов'
        '422':
          description: 'Не удалось получить список брендов'
      security:
        -
          api_key: []
  /v1/dictionary/realtystate:
    get:
      tags:
        - Dictionary
      summary: 'Типы собственности помещения по месту проживания'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionRealtystate'
      responses:
        '200':
          description: 'Список типов собвтсвенности'
      security:
        -
          api_key: []
  /v1/dictionary/workinglifedate:
    get:
      tags:
        - Dictionary
      summary: 'Интервалы времени'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionWorkinglifedate'
      responses:
        '200':
          description: 'Список интервалов времени'
      security:
        -
          api_key: []
  /v1/dictionary/positiontype:
    get:
      tags:
        - Dictionary
      summary: 'Типы должности'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionPositiontype'
      responses:
        '200':
          description: 'Список типов должностей'
      security:
        -
          api_key: []
  /v1/dictionary/employertype:
    get:
      tags:
        - Dictionary
      summary: 'Типы организации'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionEmployertype'
      responses:
        '200':
          description: 'Список типов организации'
      security:
        -
          api_key: []
  /v1/dictionary/education:
    get:
      tags:
        - Dictionary
      summary: 'Типы образования'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionEducation'
      responses:
        '200':
          description: 'Список типов образования'
      security:
        -
          api_key: []
  /v1/dictionary/employmenttype:
    get:
      tags:
        - Dictionary
      summary: 'Социальный статус клиента'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionEmploymenttype'
      responses:
        '200':
          description: 'Список должностей'
      security:
        -
          api_key: []
  /v1/dictionary/spouse-employment-type:
    get:
      tags:
        - Dictionary
      summary: 'Социальный статус супруги'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionSpouseEmploymentType'
      responses:
        '200':
          description: 'Справочник типов занятости супруги'
      security:
        -
          api_key: []
  /v1/dictionary/model:
    get:
      tags:
        - Dictionary
      summary: 'Модели автомобилей'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionModel'
      parameters:
        -
          name: brand_id
          in: query
          required: false
          schema:
            type: integer
        -
          name: car_condition
          in: query
          description: 'Состояние автомобиля; 1 - новый (по умолчанию), 2 - бу'
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: 'Список моделей автомобилей'
      security:
        -
          api_key: []
  /v1/dictionary/configuration:
    get:
      tags:
        - Dictionary
      summary: 'Комплектации автомобилей'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionConfiguration'
      parameters:
        -
          name: brand_id
          in: query
          required: false
          schema:
            type: integer
        -
          name: model_id
          in: query
          required: false
          schema:
            type: integer
        -
          name: car_condition
          in: query
          description: 'Состояние автомобиля; 1 - новый (по умолчанию), 2 - бу'
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: 'Список комплектаций автомобилей'
      security:
        -
          api_key: []
  /v1/dictionary/relation-to-person:
    get:
      tags:
        - Dictionary
      summary: 'Родственное отношение к лицу, являющимся иностранным публичным должностным лицом или занимающим государственные должности'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionRelationToPerson'
      responses:
        '200':
          description: ''
      security:
        -
          api_key: []
  /v1/dictionary/state:
    get:
      tags:
        - Dictionary
      summary: 'Список статусов сделки'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionState'
      responses:
        '200':
          description: 'Список статусов сделки'
      security:
        -
          api_key: []
  /v1/dictionary/config:
    get:
      tags:
        - Dictionary
      summary: Параметры
      operationId: 'app\modules\v1\controllers\DictionaryController::actionConfig'
      responses:
        '200':
          description: Параметры
      security:
        -
          api_key: []
  /v1/dictionary/dealer-city-list:
    get:
      tags:
        - Dictionary
      summary: 'Список брендов, привязанных к текущему контексту'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionDealerCityList'
      responses:
        '200':
          description: 'Список брендов'
      security:
        -
          api_key: []
  /v1/dictionary/widget-code:
    get:
      tags:
        - Dictionary
      summary: 'Код виджета'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionWidgetCode'
      parameters:
        -
          name: dealer_id
          in: query
          description: 'ID дилера в системе екредит; если не задан, то будет взят дефолтный дц из привязок к домену'
          required: false
          schema:
            type: integer
        -
          name: dealer_id_type
          in: query
          description: '0 (по умолчанию) - dealer_id дилера передан по нумерации еКредит; 1 - dealer_id передан по нумерации холдинга; 2 - dealer_id передан по нумерации производителя'
          required: false
          schema:
            type: integer
            default: 0
        -
          name: brand
          in: query
          description: Марка
          required: false
          schema:
            type: string
            default: Mazda
        -
          name: model
          in: query
          description: Модель
          required: false
          schema:
            type: string
            default: CX-5
        -
          name: configuration
          in: query
          description: Комплектация
          required: false
          schema:
            type: string
            default: 'Maximal equipment'
        -
          name: price
          in: query
          description: 'Стоимость автомобиля'
          required: false
          schema:
            type: string
            default: '1500000'
        -
          name: initial_fee
          in: query
          description: 'Первоначальный взнос в процентах'
          required: false
          schema:
            type: string
            default: '50'
        -
          name: car_condition
          in: query
          description: '1(по умолчанию)-новый автомобиль, 2-пробежный'
          required: false
          schema:
            type: integer
            default: 1
        -
          name: year
          in: query
          description: 'Год выпуска автомобиля, по умолчанию - текущий год'
          required: false
          schema:
            type: integer
            default: 2020
        -
          name: vin
          in: query
          description: 'VIN номер автомобиля, 17 знаков'
          required: false
          schema:
            type: string
            default: ''
        -
          name: calculation_view
          in: query
          description: 'Вид калькулятора: 0 (по умолчанию) - Кредит Онлайн короткая анкета, 1 - Кредит Онлайн полная анкета, 2, 3'
          required: false
          schema:
            type: string
            default: credit
        -
          name: widget_view
          in: query
          description: '0 (по умолчанию) - кнопка откроет страницу сервиса F&I Hub в новом окне; 1 - страница сервиса F&I Hub будет отображен в iframe в текущем окне, 2 - '
          required: false
          schema:
            type: string
            default: button
        -
          name: widget_view_button_text
          in: query
          description: 'Текст кнопки, для виджета, заданного в виде кнопки'
          required: false
          schema:
            type: string
            default: 'Одобрение кредита'
        -
          name: widget_view_iframe_id
          in: query
          description: 'Идентификатор (id) iframe, если виджет задан в виде iframe'
          required: false
          schema:
            type: string
            default: fiHub
        -
          name: aes_key
          in: query
          description: 'Ключ для шифрования персональных данных. Если не задан, то будет использован дефолтный'
          required: false
          schema:
            type: string
            default: secret
        -
          name: client_surname
          in: query
          description: 'Фамилия клиента (автоматически предзаполнится на форме)'
          required: false
          schema:
            type: string
            default: Иванов
        -
          name: client_name
          in: query
          description: 'Имя клиента (автоматически предзаполнится на форме)'
          required: false
          schema:
            type: string
            default: Иванов
        -
          name: client_middle_name
          in: query
          description: 'Отчество клиента (автоматически предзаполнится на форме)'
          required: false
          schema:
            type: string
            default: Иванов
        -
          name: client_phone
          in: query
          description: 'Телефон клиента (автоматически предзаполнится на форме)'
          required: false
          schema:
            type: string
            default: '79132102129'
      responses:
        '200':
          description: 'Код виджета'
      security:
        -
          api_key: []
  /v1/dictionary/employer-industry-branch:
    get:
      tags:
        - Dictionary
      summary: 'Отрасль компании'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionEmployerIndustryBranch'
      responses:
        '200':
          description: 'Отрасль компании'
      security:
        -
          api_key: []
  /v1/dictionary/employer-number-of-employees:
    get:
      tags:
        - Dictionary
      summary: 'Кол-во работников в компании по месту работы заемщика'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionEmployerNumberOfEmployees'
      responses:
        '200':
          description: 'Кол-во работников'
      security:
        -
          api_key: []
  /v1/dictionary/employer-business-type:
    get:
      tags:
        - Dictionary
      summary: 'Форма организации'
      operationId: 'app\modules\v1\controllers\DictionaryController::actionEmployerBusinessType'
      responses:
        '200':
          description: 'Форма организации'
      security:
        -
          api_key: []
  /v1/signaturelog/decrypt-sign:
    get:
      tags:
        - Signature
      summary: 'Метод расшифровывает цифровую подпись. Возвращает значения полей, которые были подписаны'
      operationId: 'app\modules\v1\controllers\SignaturelogController::actionDecryptSign'
      parameters:
        -
          name: signature
          in: query
          description: 'Цифровая подпись'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 'Расшифровка цифровой подписи'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseSignatureDecrypt'
      security:
        -
          api_key: []
  /v1/sms/authsms:
    post:
      tags:
        - Sms
      summary: 'Запрос смс с кодом подтверждения'
      operationId: 'app\modules\v1\controllers\SmsController::actionAuthsms'
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                -
                  required: [client_phone]
                  properties: { client_phone: { description: 'Номер мобильного телефона в 10-значном формате', type: string, format: string, example: '9132102129' } }
                  type: object
      responses:
        '200':
          description: 'Смс с кодом успешно отправлено'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseAuthsms'
        '251':
          description: 'Код телефона передан некорректно'
      security:
        -
          api_key: []
  /v1/sms/authcode:
    get:
      tags:
        - Sms
      summary: 'Подтверждение кода смс'
      operationId: 'app\modules\v1\controllers\SmsController::actionAuthcode'
      parameters:
        -
          name: client_phone
          in: query
          required: true
          schema:
            type: string
            default: 9132102129
        -
          name: code
          in: query
          required: true
          schema:
            type: string
            default: 1234
      responses:
        '200':
          description: 'Смс с кодом успешно отправлено'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseAuthcode'
        '251':
          description: 'Телефон задан некорректно'
        '252':
          description: 'Телефон не найден'
        '253':
          description: 'Внутренняя ошибка проверки телефона в базе данных'
        '254':
          description: 'Код просрочен. Необходимо запросить новый код'
      security:
        -
          api_key: []
components:
  schemas:
    AddressDto:
      title: AdressModel
      properties:
        dadata:
          $ref: '#/components/schemas/DadataDto'
      type: object
      xml:
        name: AddressDto
    AppStatusDto:
      properties:
        application_id:
          description: 'ID заявки'
          type: integer
        id_type:
          description: 'идентификтор заявки передан: 0 - по нумерации еКредит, 1 - по нумерации партнера, 2 - по нумерации API Online'
          type: integer
          example: 1
      type: object
      xml:
        name: AppStatusDto
    CustomerDto:
      title: CustomerModel
      description: 'Данные клиента'
      required:
        - name
        - surname
        - middle_name
        - gender
        - email
        - mobile_phone
        - num_of_children_younger_than_21
        - number_of_dependents
        - living_address
        - living_address_date
        - registration_address
        - registration_address_date
        - matches_registration
        - realty_state
        - employment_type
        - employer_name
        - office_phone
        - employee_position
        - employer_inn
        - employee_position_type
        - employer_type
        - employer_number_of_employees
        - employer_business_type
        - employer_industry_branch
        - working_life_date
        - employer_legal_address
        - primary_income_sum
        - spendings_request
        - spendings_anycredit
        - education
        - birth_date
        - birth_place
        - passport
        - proxy_first_name
        - proxy_second_name
        - proxy_third_name
        - proxy_phone
        - proxy_birth_date
        - marital_status
        - years_married
        - spouse_surname
        - spouse_name
        - spouse_middle_name
        - spouse_mobile
        - spouse_birth_date
        - spouse_birth_place
        - spouse_employment_type
        - driving_licence
      properties:
        surname:
          title: 'Фамилия клиента'
          description: 'Только русские буквы, пробел, дефис'
          type: string
          example: Иванов
        name:
          title: 'Фамилия клиента'
          description: 'Только русские буквы, пробел, дефис'
          type: string
          example: Роман
        middle_name:
          title: 'Отчество клиента'
          description: 'Только русские буквы, пробел, дефис'
          type: string
          example: Иванович
        birth_date:
          title: 'Дата рождения клиента'
          description: 'Проверка, чтобы клиенту было не менее 18 лет'
          type: string
          example: '1982-05-07'
        birth_place:
          title: 'Место рождения клиента'
          description: 'Длинна поля от 4 до 255 символов'
          type: string
          example: Колывань
        gender:
          title: Пол
          description: 'Значение справочника /v1/dictionary/gender'
          type: integer
          example: 1
        email:
          title: 'email клиента'
          description: 'Email клиента'
          type: string
          example: ivanov@e-credit.one
        mobile_phone:
          $ref: '#/components/schemas/CustomerPhoneDto'
        num_of_children_younger_than_21:
          title: 'Кол-во детей'
          description: 'Количество детей'
          type: integer
          example: 0
        number_of_dependents:
          title: 'Кол-во иждивенцев'
          description: 'Количество иждивенцев'
          type: integer
          example: 0
        matches_registration:
          description: 'Адрес проживания совпадает с адресом регистрации - 1, 0 - не совпадает'
          type: integer
          example: 1
        living_address:
          $ref: '#/components/schemas/AddressDto'
        living_address_date:
          title: 'Дата начала проживания на текущем месте'
          type: string
          example: '2018-05-25'
        registration_address:
          $ref: '#/components/schemas/AddressDto'
        registration_address_date:
          title: 'Дата регистрации по месту прописки'
          type: string
          format: date-time
          example: '2018-05-25'
        realty_state:
          title: 'Тип собственности помещения по месту проживания'
          description: 'Значение из справочника /v1/dictionary/realtystate'
          type: integer
          example: 1
        employment_type:
          title: 'Социальный статус клиента'
          description: 'Значение из справочника /v1/dictionary/employmenttype'
          type: integer
          example: '1'
        employer_name:
          title: 'Название места работы'
          type: string
          example: 'ОАО Газпром'
        office_phone:
          $ref: '#/components/schemas/CustomerPhoneDto'
        employee_position:
          title: 'Наименование должности заемщика'
          description: 'Только русские буквы, пробел, дефис'
          type: string
          example: 'Машинист бульдозера'
        employer_inn:
          title: 'ИНН работодателя'
          description: 'от 10 до 12 цифр'
          type: string
          example: '1115556662'
        employee_position_type:
          title: 'Тип должности'
          description: 'Значение из справочника /v1/dictionary/positiontype'
          type: integer
          example: '1'
        employer_type:
          title: 'Тип организации'
          description: 'Значение из справочника /v1/dictionary/employertype'
          type: integer
          example: '1'
        employer_number_of_employees:
          title: 'Кол-во работников в организации по месту работу клиента'
          description: 'Значение справочника /v1/dictionary/employer-number-of-employees'
          type: integer
          example: 1
        employer_business_type:
          title: 'Форма организации'
          description: 'Значение справочника /v1/dictionary/employer-business-type'
          type: integer
          example: 1
        employer_industry_branch:
          title: 'Отрасль компании'
          description: 'Значение справочника /v1/dictionary/employer-industry-branch'
          type: integer
          example: 1
        working_life_date:
          title: 'Дата начала работы в данной организации'
          type: string
          example: '2018-05-25'
        employer_legal_address:
          $ref: '#/components/schemas/AddressDto'
        primary_income_sum:
          title: 'Основной ежемесячный доход заемщика'
          description: 'Целочисленное значение'
          type: integer
          example: 150000
        spendings_request:
          title: 'Сумма обязательных ежемесячных платежей'
          description: 'Целое число'
          type: integer
          example: 0
        spendings_anycredit:
          title: 'Ежемесячная сумма погашение других кредитов'
          description: 'Целое число'
          type: integer
          example: '0'
        education:
          title: Образование
          description: 'Значение справочника /v1/dictionary/education'
          type: integer
          example: 1
        passport:
          $ref: '#/components/schemas/PassportDto'
        proxy_first_name:
          title: 'Фамилия доверенного лица'
          description: 'Все поля доверенного лица являются обязательными к заполнению, если не заданы данные супруги'
          type: string
          example: Патрикова
        proxy_second_name:
          title: 'Имя доверенного лица'
          description: 'Все поля доверенного лица являются обязательными к заполнению, если не заданы данные супруги'
          type: string
          example: Ангелина
        proxy_third_name:
          title: 'Отчество доверенного лица'
          description: 'Все поля доверенного лица являются обязательными к заполнению, если не заданы данные супруги'
          type: string
          example: Викторовна
        proxy_phone:
          $ref: '#/components/schemas/CustomerPhoneDto'
        proxy_birth_date:
          title: 'Дата рождения доверенного лица'
          description: 'Все поля доверенного лица являются обязательными к заполнению, если не заданы данные супруги'
          type: string
          example: '1992-10-25'
        marital_status:
          title: 'Семейное положение'
          description: 'Значения справочника /v1/dictionary/maritalstatus'
          type: integer
          example: 2
        years_married:
          title: 'Количество лет в браке'
          description: 'Обязательно, если выбрано соотв. семейное положение иначе не учитывается.'
          type: integer
          example: 13
        spouse_surname:
          title: 'Фамилия супруги'
          description: 'Только русские буквы, пробел, дефис. Обязательно, если выбрано соотв. семейное положение иначе не учитывается. Проверка - больше 18 лет'
          type: string
          example: Красилова
        spouse_name:
          title: 'Имя супруги'
          description: 'Только русские буквы, пробел, дефис. Обязательно, если выбрано соотв. семейное положение иначе не учитывается'
          type: string
          example: Ольга
        spouse_middle_name:
          title: 'Отчество супруги'
          description: 'Только русские буквы, пробел, дефис. Обязательно, если выбрано соотв. семейное положение иначе не учитывается'
          type: string
          example: Владимировна
        spouse_mobile:
          $ref: '#/components/schemas/CustomerPhoneDto'
        spouse_birth_date:
          title: 'Дата рождения супруги'
          description: 'Обязательно, если выбрано соотв. семейное положение иначе не учитывается'
          type: string
          example: '1983-09-07'
        spouse_birth_place:
          title: 'Место рождения супруга'
          description: 'Обязательно, если выбрано соотв. семейное положение иначе не учитывается'
          type: string
          example: Новосибирск
        spouse_employment_type:
          title: 'Социальный статус супруги'
          description: 'Обязательно, если выбрано соотв. семейное положение иначе не учитывается. \n Значение справочника /v1/dictionary/employmenttype'
          type: integer
          example: 1
        driving_licence:
          $ref: '#/components/schemas/DrivingLicenceDto'
      type: object
    CustomerPhoneDto:
      title: PhoneModel
      properties:
        country_code:
          description: 'Код страны'
          type: integer
          example: '7'
        area_code:
          description: 'Для мобильных телефонов проверка, чтобы код начился на 9 или 812'
          type: integer
          example: '905'
        phone_number:
          type: integer
          example: '9808010'
      type: object
      xml:
        name: CustomerPhoneDto
    DadataDto:
      properties:
        value:
          title: 'Поле value из ответа dadata'
          type: string
          example: 'г Барнаул, пр-кт Ленина, д 5/32'
        unrestricted_value:
          title: 'Поле unrestricted_value из ответа dadata'
          type: string
          example: '656043, Алтайский край, г Барнаул, Центральный р-н, пр-кт Ленина, д 5/32'
        data:
          $ref: '#/components/schemas/DadataFieldExample'
      type: object
      xml:
        name: DadataDto
    DrivingLicenceDto:
      title: 'Driving Licence Model'
      properties:
        series:
          title: Серия
          type: string
          example: '0102'
        number:
          title: Номер
          type: integer
          example: 222333
        issue_date:
          title: 'Дата выдачи'
          description: 'Не больше 10 лет назад и не менее, чем дата рождения заемщика + 18 лет'
          type: integer
          example: '2010-10-10'
        expiration_date:
          title: 'Дата истечения'
          type: integer
          example: '2010-10-10'
        driving_experience:
          title: 'Общий стаж вождения в годах'
          description: 'Возраст клиента - стаж вождения > 18'
          type: integer
          example: 10
        issuer_name:
          title: 'Кем выдан'
          description: 'Русские буквы, точка, дефис, №. Не менее 4-х символов'
          type: string
          example: 'МРЭО ГИБДД'
        experience_begin:
          title: 'Дата начала водительского стажа'
          type: string
          example: '2015-12-30'
      type: object
      xml:
        name: DrivingLicenceDto
    EcreditAppOnlineDto:
      title: 'Edit Application'
      description: 'Сохранение данных клиента и отправка в банки'
      required:
        - application_id
        - id_type
        - integrator_uid
        - async
      properties:
        application_id:
          title: 'Идентификатор заявки'
          description: 'Тип идентификатора задается в параметре id_type'
          type: string
          example: ''
        id_type:
          title: 'Тип идентицификации заявки'
          type: integer
          default: 1
          enum:
            -
              'По нумерации Екредит': 0
              'По нумерации Интегратора': 1
          example: 1
        dealer_id:
          title: 'Идентификатор дилера'
          description: 'ID дилера по нумерации. Тип идентификатора указан в параметре dealer_id_type'
          type: string
          example: '437'
        dealer_id_type:
          title: 'Тип идентицификации дилера'
          type: integer
          default: 0
          enum:
            -
              'По нумерации Екредит': 0
              'По нумерации Холдинга': 1
              'По нумерации производетеля': 2
              'По нумерации Карфин': 3
          example: 0
        async:
          title: async
          description: 'Признак асинхронного процесса. Всегда передавайте 1. Параметр введен только для временной поддержки уже существующих интеграций.'
          type: string
          example: 1
        integrator_uid:
          title: integrator_uid
          description: 'Идентификатор интегратора'
          type: string
          example: ''
        customer:
          $ref: '#/components/schemas/CustomerDto'
      type: object
    EcreditNewAppDto:
      title: 'New Application'
      description: 'Создание новой заявки'
      required:
        - car_brand
        - car_model
        - car_year
        - price
        - client_phone
        - client_name
        - client_surname
        - client_email
        - agree_terms
        - site
        - async
        - integrator_uid
      properties:
        client_surname:
          title: client_surname
          description: 'Фамилия клиента'
          type: integer
          example: Иванов
        client_name:
          title: client_name
          description: 'Имя клиента'
          type: string
          example: Иван
        client_middle_name:
          title: client_middle_name
          description: 'Отчество клиента'
          type: string
          example: Иванович
        client_email:
          title: client_email
          description: 'email клиента'
          type: string
          example: sad@sad.com
        client_phone:
          description: 'Мобильный телефон клиента в 11 значном формате'
          type: string
          example: '79119034455'
        car_brand:
          title: car_brand
          description: 'Имя марки автомабиля'
          type: string
          example: Hyundai
        car_model:
          title: car_model
          description: 'Имя модели автомабиля. Параметр не обязательный для автомобилей с пробегом'
          type: string
          example: Solaris
        car_configuration:
          title: car_configuration
          description: 'Имя комплектации. Произвольная строка'
          type: string
          example: '1.6 (121HP) 4WD Active (D191) 19MY 6MT'
        car_year:
          title: car_year
          description: 'Год выпуска автомобиля. Для новых не обязательный, по умолчанию - текущий год. Для автомобилей с пробегом - обязательный параметр'
          type: integer
          example: '2020'
        vin:
          description: 'VIN номер автомобиля'
          type: string
          example: Z94G2811AMR328371
        car_condition:
          title: car_configuration
          description: 'Состояние автомобиля: Новый (1) или С пробегом (2). Параметр обязательный, но имеет значение по умолчанию - 1'
          type: integer
          example: 1
        car_issue_date:
          title: car_issue_date
          description: 'Дата начала пользования автомобилем'
          type: string
          example: '2020-12-31'
        engine_volume:
          title: engine_volume
          description: 'Объем двигателя в литрах'
          type: number
          format: double
          example: 2.4
        engine_power:
          title: 'Мощность двигателя - целое число'
          description: 'Мощность двигателя - целое число'
          type: integer
          example: 160
        pts_issue_date:
          title: pts_issue_date
          description: 'Дата выдачи ПТС'
          type: string
          example: '2020-12-31'
        pts_number:
          title: pts_number
          description: 'Номер ПТС. Пример приведен для ЭПТС'
          type: string
          example: '164301021224142'
        pts_series:
          title: pts_series
          description: 'Серия ПТС. Для ЭПТС не передавать или передавать пустым'
          type: string
          example: ''
        price:
          title: price
          description: 'Стоимость автомобиля'
          type: integer
          example: 1200000
        initial_fee_money:
          title: 'Первоначальный взнос в рублях (Имеет более высокий приоритет, чем initial_fee)'
          type: number
          format: double
          example: 0
        initial_fee:
          title: 'Первоначальный взнос в процентах от стоимости автомобиля (Имеет менее высокий приоритет, чем initial_fee_money)'
          type: number
          format: double
          example: 0
        period:
          title: 'Срок кредита в месяцах'
          description: '12,24,36,48,60,72'
          type: integer
          example: 36
        program_id:
          title: program_id
          description: 'ID препочтительного кредитного расчета'
          type: integer
          example: 135
        client_application_id:
          title: client_application_id
          description: 'Идентификтор заявки по нумерации партнера; латинские символы, цифры, дефис, подчеркиваени'
          type: string
          example: ''
        dealer_id:
          title: dealer_id
          description: 'ID дилера по нумерации. Тип идентификатора указан в параметре dealer_id_type'
          type: string
          example: '437'
        dealer_id_type:
          description: 'Тип нумерации дилера'
          type: integer
          default: 0
          enum:
            -
              'По нумерации Екредит': 0
              'По нумерации Холдинга': 1
              'По нумерации производетеля': 2
              'По нумерации Карфин': 3
          example: 0
        agree_terms:
          title: agree_terms
          description: 'Согласие клиента на обработку персональных данных и запрос в бюро кредитных историй. Передавать 1'
          type: integer
          example: 1
        integrator_uid:
          title: integrator_uid
          description: 'Идентификатор интегратора'
          type: string
          example: ''
        async:
          title: async
          description: 'Признак асинхронного процесса. Всегда передавайте 1. Параметр введен только для временной поддержки уже существующих интеграций.'
          type: string
          example: 1
        site:
          title: site
          description: 'URL страницы, на которой покупается автомобиль'
          type: string
          example: 'https://site.ru/stock/hyundai'
      type: object
    FrontParams:
      xml:
        name: FrontParams
    PassportDto:
      title: PassportModel
      properties:
        series:
          title: Серия
          type: string
          example: '0102'
        number:
          title: Номер
          type: string
          example: '111222'
        issue_date:
          title: 'Дата выдачи'
          type: string
          format: date-time
          example: '2018-01-01'
        issuer_code:
          title: 'Код подразделения'
          type: string
          example: 222-333
        issuer_name:
          title: 'Кем выдан'
          description: 'Значение не должно содержать латинские символы'
          type: string
          example: 'ОУФМС России в г. Барнауле'
      type: object
      xml:
        name: PassportDto
    ApplicationIdentityEnum:
      title: 'Application Identity'
      description: 'Тип идентификации заявки'
      type: object
    DealerIdTypeEnum:
      title: 'Dealer Identity'
      description: 'Тип идентификации дилера'
      type: object
    ResponseAuthcode:
      title: 'Response authcode'
      description: 'Reponse authsms'
      properties:
        result:
          title: sent
          description: 'Флаг успешности проверки кода. 1-успешно, 0-нет'
          example: 1
        sent_time:
          title: time
          description: 'Время подтверждения кода смс клиентом в формате YYYY-MM-DD H:i:s'
          example: '2021-08-16 14:22:09'
      type: object
    ResponseAuthsms:
      title: 'Response authsms'
      description: 'Reponse authsms'
      properties:
        sent:
          title: sent
          description: 'Флаг отправки смс. 1-отправлено, 0-нет'
          example: 1
        time:
          title: time
          description: 'Время отправки смс в формате YYYY-MM-DD H:i:s'
          example: '2021-08-16 14:22:09'
      type: object
    ResponseNewapp:
      title: ResponseNewapp
      description: 'Reponse newapp'
      properties:
        client_application_id:
          title: client_application_id
          description: 'Идентификатор заявки по нумерации Интегратора'
          example: s-111
      type: object
    ResponseSignatureDecrypt:
      title: 'Signture decrypt'
      description: 'Signature response decrypt'
      properties:
        surname:
          title: surname
          description: Фамилия
          type: string
          example: Иващенко
        name:
          title: name
          description: Имя
          type: string
          example: Николай
        middle_name:
          title: middle_name
          description: Отчество
          type: string
          example: Петрович
        phone:
          title: phone
          description: 'Мобильный телефон клиента, с которого было подтверждение смс'
          type: string
          example: '79132102129'
        sms_code:
          title: sms_code
          description: 'СМС код, подтвержденный клиентом'
          type: string
          example: '1234'
        assign_date:
          title: assign_date
          description: 'Дата создания подписи'
          type: string
          example: '2021-05-30 12:00:55'
        ip:
          title: ip
          description: 'IP адрес запроса на создание подписи'
          type: string
          example: 192.168.0.220
      type: object
    swagger:
      title: 'API Online Response'
      description: 'Структура ответа API Online'
      properties:
        error_code:
          title: error_code
          description: 'Код ошибки'
          example: 200
        error_text:
          title: error_text
          description: 'Текст ошибки'
          example: ok
        response:
          title: response
          description: 'Тело ответа конкретного метода'
          type: object
      type: object
    DadataFieldExample:
      description: 'Пример модели Dadata. Представлены не все поля, которые отдает сервис'
      properties:
        postal_code:
          title: postal_code
          type: string
          example: '656043'
        region_fias_id:
          title: region_fias_id
          type: string
          example: 8276c6a1-1a86-4f0d-8920-aba34d4cc34a
        region_kladr_id:
          title: region_kladr_id
          type: string
          example: '2200000000000'
        region_with_type:
          title: region_with_type
          type: string
          example: 'Алтайский край'
        region_type:
          title: region_type
          type: string
          example: край
        region_type_full:
          title: region_type_full
          type: string
          example: край
        region:
          title: region
          type: string
          example: Алтайский
        city_fias_id:
          title: city_fias_id
          type: string
          example: d13945a8-7017-46ab-b1e6-ede1e89317ad
        city_kladr_id:
          title: city_kladr_id
          type: string
          example: '2200000100000'
        city_with_type:
          title: city_with_type
          type: string
          example: 'г Барнаул'
        city_type:
          title: city_type
          type: string
          example: г
        city_type_full:
          title: city_type_full
          type: string
          example: город
        city:
          title: city
          type: string
          example: Барнаул
        street_fias_id:
          title: street_fias_id
          type: string
          example: 996a4480-4953-4178-b4e8-8333348ecda4
        street_kladr_id:
          title: street_kladr_id
          type: string
          example: '22000001000035900'
        street_with_type:
          title: street_with_type
          type: string
          example: 'пр-кт Ленина'
        street_type:
          title: street_type
          type: string
          example: пр-кт
        street_type_full:
          title: street_type_full
          type: string
          example: проспект
        street:
          title: street
          type: string
          example: Ленина
        house_fias_id:
          title: house_fias_id
          type: string
          example: a5f012f8-405d-4f8c-9dc0-4b55b1bb3e12
        house_kladr_id:
          title: house_kladr_id
          type: string
          example: '2200000100003590284'
        house_type:
          title: house_type
          type: string
          example: д
        house_type_full:
          title: house_type_full
          type: string
          example: дом
        house:
          title: house
          type: string
          example: 3А
        fias_id:
          title: fias_id
          type: string
          example: a5f012f8-405d-4f8c-9dc0-4b55b1bb3e12
        fias_code:
          title: fias_code
          type: string
          example: '22000001000000003590284'
        fias_level:
          title: fias_level
          type: string
          example: '8'
        fias_actuality_state:
          title: fias_actuality_state
          type: string
          example: '0'
        kladr_id:
          title: kladr_id
          type: string
          example: '2200000100003590284'
      type: object
      xml:
        name: DadataDto
  securitySchemes:
    api_key:
      type: apiKey
      name: access-token
      in: query
tags:
  -
    name: Sms
    description: 'Работа с смс'
  -
    name: Application
    description: 'Бизнес процессы'
  -
    name: Dictionary
    description: 'Статичесикие справочники'
